Subject: Re: bug#71364: Fix Table.el export

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Jun 2024 14:18:57 +0300

> From: Reuben Thomas <[email-masked]>
> Date: Sat, 8 Jun 2024 11:59:52 +0100
> Cc: [email-masked], [email-masked], [email-masked]
> 
> On Sat, 8 Jun 2024 at 11:51, Eli Zaretskii <[email-masked]> wrote:
> 
>  > From: Reuben Thomas <[email-masked]>
>  > Date: Sat, 8 Jun 2024 11:05:25 +0100
>  > Cc: Pranshu <[email-masked]>, Vladimir Nikishkin <[email-masked]>, 
>  >       [email-masked]
>  > 
>  > Specifically, it works fine if, like me, you do not want to put LaTeX markup in tables. This was certainly
>  my
>  > case, as I was using it with org-mode. In this case, any character that is active in LaTeX can and
>  should simply
>  > be escaped on output.
>  > 
>  > What is basically broken is the ability to export to LaTeX when the table contains LaTeX markup.
> 
>  But the function being discussed is said to be specific to export to
>  LaTeX, so it should expect LaTeX markup in the cells, no?
> 
> No, it is supposed to export arbitrary text as valid LaTeX. At least, that is my understanding.

So it's a YES, because I was saying the same thing.  Or maybe we
disagree about whether a function written for exporting to LaTeX
should or should not expect LaTeX markup.

>  Again, the function being discussed is specific to LaTeX, AFAIU, so
>  this is unlike the more-general issue of spell-checking an arbitrary
>  buffer.  It is more like a hypothetical command ispell-latex-buffer
>  (if it were to exist).  Don't you agree?
> 
> The point I was trying to make is that LaTeX-specific code belongs in LaTeX-specific modes and modules, not
> in ispell.el or table.el.

I don't think I agree with such a radical approach.  From where I
stand, there's nothing wrong with having LaTeX-specific features in
modes that are more general.

In any case, this is beyond the immediate issues discussed in this bug
report, I think.  Broken code must be fixed.